<?php declare(strict_types=1);

use Lubiana\CodeQuality\LubiSetList;
use Symplify\CodingStandard\Fixer\LineLength\LineLengthFixer;
use Symplify\EasyCodingStandard\Config\ECSConfig;

return ECSConfig::configure()
    ->withPaths([
        __DIR__ . '/config',
        __DIR__ . '/public',
        __DIR__ . '/src',
    ])
    ->withRootFiles()
    ->withSets([
        LubiSetList::ECS,
    ])
    ->withSkip([LineLengthFixer::class])
;
