<?php

namespace App\Repository;

use App\Entity\ItemExtra;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<ItemExtra>
 *
 * @method ItemExtra|null find($id, $lockMode = null, $lockVersion = null)
 * @method ItemExtra|null findOneBy(array $criteria, array $orderBy = null)
 * @method ItemExtra[]    findAll()
 * @method ItemExtra[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ItemExtraRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ItemExtra::class);
    }

//    /**
//     * @return ItemExtra[] Returns an array of ItemExtra objects
//     */
//    public function findByExampleField($value): array
//    {
//        return $this->createQueryBuilder('i')
//            ->andWhere('i.exampleField = :val')
//            ->setParameter('val', $value)
//            ->orderBy('i.id', 'ASC')
//            ->setMaxResults(10)
//            ->getQuery()
//            ->getResult()
//        ;
//    }

//    public function findOneBySomeField($value): ?ItemExtra
//    {
//        return $this->createQueryBuilder('i')
//            ->andWhere('i.exampleField = :val')
//            ->setParameter('val', $value)
//            ->getQuery()
//            ->getOneOrNullResult()
//        ;
//    }
}
